---
# file: roles/postgres/defaults/main/postgres_only.yml

# default settings for startup parameters
pg_port: 5432
pg_cluster_name: "main"
pg_listen_addresses: "localhost"
pg_log_directory: "/var/log/postgresql"
pg_ssl: true

# default value should be fine
pg_data_directory: "/var/lib/postgresql/{{ pg_version }}/{{ pg_cluster_name }}"
pg_conf_dir: "{{ pg_data_directory }}/postgresql.conf.d"
pg_configuration_file_restart_required: "{{ pg_data_directory }}/restart_required.conf"
pg_recovery: false
